Need Plugins! (Remake)


#1

Hey guys, I know i recently made a post with the same title as this one, but I have updated my list of plugins that I'm looking for or request to be made!

  • A plugin that lets you lock doors and chests using an item that acts as a key and only the one who holds the key can open the doors and chests it locks
  • A plugin that does what worldguard can do!
  • A Shop plugin similar to chestshop, but instead of requiring a chest in order to create a shop, you can instead just place the block underneath sign.
  • A Signwarper Plugin

can anyone please help me?


#2

FoxGuard is similar to WorldGaurd
ProjectPortals has a signs module


#3

Keys seems to be able to lock doors/chests.
FoxGuard is similar in principle to WorldGuard.
BLWarps can do sign warps.


#4

ok thanks guys. now these are for 1.8.9 correct?


#5

Yes, they should be for 1.8.9.


#6

ok cool! in my original post, i asked for a plugin similar to multiworld for bukkit and i was told that there was one called ProjectWorlds. i looked it up and it says spongeforge 1.8. does that mean its only compatible with 1.8 or is it also compatible with 1.8.9?


#7

All my plugins are 1.8.9 compatible


#8

so thats a yes correct?


#9

That is correct


#10

ok good. btw, when will spongeforge 1.9 be made or should i say finished and released?


#11

In due time, we'll be making an announcement as to when it's ready for active use/testing/development.


#12

ok cool! thanks!


#13

There are 3 version numbers, for example 1.1.5. You can ignore the third number when choosing plugins. The first number is required for that plugin to work - a plugin for API 3.0.0 won't work for 4.0.0. The second number for the plugin's Sponge version must be less than or equal to the second number for the server's Sponge version - a plugin for 4.0.0 will work for 4.1.0 but a plugin for 4.1.0 won't work for 4.0.0.


#14

It may not work on 4.0. The difference is if it is using newer API added in the .1 version.


#15

I am speaking of guarantees here. Bottom line is just keep your server up to date, and bug the plugin dev if they haven't updated their major version.


#16

i give up. its too confusing. ugh... why couldn't plugins do what mods can do? I mean mods can do what plugins can do so why not the other way around as well.


#17

because that's not how Minecraft works?
The server sends basic information. For example, the server can tell the client that there's a new entity, and it's got an ID of 50, and health of 20, at position x, y, z, and the flag 'charged' is true. It's up to the client, which reads entirely from local files (read: Minecraft.jar or Forge mods) to display a charged creeper in the correct location. It's up to the client to figure out what the location means, and what the ID means, and what the texture for the creeper is, and the model, and the texture and model for the chargedness, and everything else. You can read up on everything a server can tell a client here, if you so choose.
The logical solution to this is to make a mod that does in fact support server-sided modding, and this mod is already existent and called Spoutcraft. However, Spoutcraft is extremely out of date and currently only supports 1.6.4 (and is only for Bukkit).


#18

I've been setting up a server and basically the answers provided give you a great 1.8.9 solution:

Foxguard = Worldguard
ProjectWorlds (with Project Portals as an optional add-in)= MultiWorld/Multiverse
Keys = A Door/Chest Locking Plugin
WarpBL and Project Portals can create warping signs.
SpongyChest = ChestShop

I do not have Foxguard installed yet, but I can vouch for ProjectWorlds/Portals. Good stuff. I am planing on using Portals to warp from one Adventure Map "Hub" to a voided world with platforming stages in the air for players to have to traverse in order to clear the stage(s).

I'm waiting for:
An alternative to EpicBoss Recoded (I make Adventure Maps and need a Boss plugin badly).
An update to Craftbook (mechanisms and clock circuits are paramount for compact Adventure Traps)
An alternative to MC-MMO (jobs and skills that update as you continue doing tasks). Right now, the closest to it is Looty and RAWR, but neither appear to be updated to a point that won't spit major errors to my server console.


#19

:sob: Then someone please help me! Please tell me what version of each
plugin(that i listed above) I need to download for
spongeforge-1.8.9-1808-4.1.0-BETA-1271!


#20

Does it absolutely have to be 1271?
Because I have a few of these for 1286 and they work just about as well as I want them to...

Also, Looty and RAWR are no longer being updated, so none of that... :frowning: